// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/kernel/status.proto

package kernel

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 对外接口状态
type Status int32

const (
	// 点位，勿使用
	Status_STATUS_UNSPECIFIED Status = 0
	// 已创建
	Status_STATUS_CREATED Status = 1
	// 上传中
	Status_STATUS_UPLOADING Status = 10
	// 可用
	Status_STATUS_USABLE Status = 20
)

// Enum value maps for Status.
var (
	Status_name = map[int32]string{
		0:  "STATUS_UNSPECIFIED",
		1:  "STATUS_CREATED",
		10: "STATUS_UPLOADING",
		20: "STATUS_USABLE",
	}
	Status_value = map[string]int32{
		"STATUS_UNSPECIFIED": 0,
		"STATUS_CREATED":     1,
		"STATUS_UPLOADING":   10,
		"STATUS_USABLE":      20,
	}
)

func (x Status) Enum() *Status {
	p := new(Status)
	*p = x
	return p
}

func (x Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Status) Descriptor() protoreflect.EnumDescriptor {
	return file_com_ruijc_storage_core_kernel_status_proto_enumTypes[0].Descriptor()
}

func (Status) Type() protoreflect.EnumType {
	return &file_com_ruijc_storage_core_kernel_status_proto_enumTypes[0]
}

func (x Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Status.Descriptor instead.
func (Status) EnumDescriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_kernel_status_proto_rawDescGZIP(), []int{0}
}

var File_com_ruijc_storage_core_kernel_status_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_kernel_status_proto_rawDesc = []byte{
	0x0a, 0x2a, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2f,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x63, 0x6f,
	0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2a, 0x5d, 0x0a, 0x06, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x16, 0x0a, 0x12, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x12, 0x0a,
	0x0e, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x43, 0x52, 0x45, 0x41, 0x54, 0x45, 0x44, 0x10,
	0x01, 0x12, 0x14, 0x0a, 0x10, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x50, 0x4c, 0x4f,
	0x41, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x0a, 0x12, 0x11, 0x0a, 0x0d, 0x53, 0x54, 0x41, 0x54, 0x55,
	0x53, 0x5f, 0x55, 0x53, 0x41, 0x42, 0x4c, 0x45, 0x10, 0x14, 0x42, 0x4e, 0x0a, 0x1d, 0x63, 0x6f,
	0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x50, 0x01, 0x5a, 0x2b, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72,
	0x6e, 0x65, 0x6c, 0x3b, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_kernel_status_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_kernel_status_proto_rawDescData = file_com_ruijc_storage_core_kernel_status_proto_rawDesc
)

func file_com_ruijc_storage_core_kernel_status_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_kernel_status_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_kernel_status_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_kernel_status_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_kernel_status_proto_rawDescData
}

var file_com_ruijc_storage_core_kernel_status_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_com_ruijc_storage_core_kernel_status_proto_goTypes = []interface{}{
	(Status)(0), // 0: com.ruijc.storage.core.kernel.Status
}
var file_com_ruijc_storage_core_kernel_status_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_kernel_status_proto_init() }
func file_com_ruijc_storage_core_kernel_status_proto_init() {
	if File_com_ruijc_storage_core_kernel_status_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_kernel_status_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_kernel_status_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_kernel_status_proto_depIdxs,
		EnumInfos:         file_com_ruijc_storage_core_kernel_status_proto_enumTypes,
	}.Build()
	File_com_ruijc_storage_core_kernel_status_proto = out.File
	file_com_ruijc_storage_core_kernel_status_proto_rawDesc = nil
	file_com_ruijc_storage_core_kernel_status_proto_goTypes = nil
	file_com_ruijc_storage_core_kernel_status_proto_depIdxs = nil
}
